> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Modify cluster configuration by SysAdmin > Modify cluster-wide configuration by SysAdmin. ## OpenAPI ````json PATCH /v1/system/config { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/system/config": { "patch": { "tags": [ "Admin" ], "summary": "Modify cluster configuration by SysAdmin", "description": "Modify cluster-wide configuration by SysAdmin.", "operationId": "sysadminUpdateClusterConfig", "responses": { "200": { "description": "Cluster was configured by SysAdmin successfully.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SysAdminGetClusterConfigurationResponse" } } } } }, "x-auth-resource": "Manager,ManagerInLockedAccount" } } }, "components": { "schemas": { "SysAdminGetClusterConfigurationResponse": { "required": [ "dsm_config", "nitro_enclaves_converter_config", "microsoft_attestation_service_config", "nvidia_attestation_service_config", "aci_config", "eks_config" ], "type": "object", "properties": { "dsm_config": { "$ref": "#/components/schemas/DsmClusterConfig" }, "nitro_enclaves_converter_config": { "$ref": "#/components/schemas/NitroEnclavesConverterConfig" }, "microsoft_attestation_service_config": { "$ref": "#/components/schemas/MicrosoftAttestationServiceConfig" }, "nvidia_attestation_service_config": { "$ref": "#/components/schemas/NvidiaAttestationServiceConfig" }, "aci_config": { "$ref": "#/components/schemas/AciConfig" }, "eks_config": { "$ref": "#/components/schemas/EksConfig" } } }, "DsmClusterConfig": { "required": [ "active_cluster", "transition_clusters" ], "type": "object", "properties": { "active_cluster": { "$ref": "#/components/schemas/DsmCluster" }, "transition_clusters": { "type": "array", "items": { "$ref": "#/components/schemas/DsmCluster" }, "description": "Clusters that are being phased out but still have objects inside them. In order of their use, first being the oldest." } }, "nullable": true }, "NitroEnclavesConverterConfig": { "required": [ "converter_url" ], "type": "object", "properties": { "converter_url": { "type": "string", "description": "URL to use for contacting the Nitro Enclaves Converter microservice." } }, "nullable": true }, "MicrosoftAttestationServiceConfig": { "required": [ "url", "trusted_report_mrsigners" ], "type": "object", "properties": { "url": { "type": "string", "description": "Microsoft Azure Attestation Service (MAA) endpoint url." }, "trusted_report_mrsigners": { "type": "array", "items": { "type": "string" }, "description": "Array of Microsoft Azure Attestation Service (MAA) expected MRSigner value (hex string)." } }, "nullable": true }, "NvidiaAttestationServiceConfig": { "required": [ "nras_url" ], "type": "object", "properties": { "nras_url": { "type": "string", "description": "Nvidia Remote Attestation Service (NRAS) url." } }, "nullable": true }, "AciConfig": { "required": [ "converter_url", "allow_large_images", "agent_image", "init_image" ], "type": "object", "properties": { "converter_url": { "type": "string", "description": "URL to use for contacting the ACI fortifier microservice." }, "agent_image": { "$ref": "#/components/schemas/ConversionRequestImageInfo" }, "init_image": { "$ref": "#/components/schemas/ConversionRequestImageInfo" } }, "nullable": true }, "EksConfig": { "required": [ "access_key_id" ], "type": "object", "properties": { "access_key_id": { "type": "string", "description": "AWS access key ID" }, "secret_access_key": { "type": "string", "description": "AWS secret access key. This field is redacted in getClusterConfiguration API's response." } }, "nullable": true }, "DsmCluster": { "required": [ "app_id", "url" ], "type": "object", "properties": { "app_id": { "type": "string", "description": "SDKMS administrative app id.", "format": "uuid" }, "url": { "type": "string", "description": "SDKMS URL to use for storing datasets." } } }, "ConversionRequestImageInfo": { "required": [ "name" ], "type": "object", "properties": { "name": { "type": "string", "description": "Docker image name" }, "auth_config": { "$ref": "#/components/schemas/AuthConfig" } } }, "AuthConfig": { "required": [ "username" ], "type": "object", "properties": { "username": { "type": "string", "description": "User name for docker registry authentication" }, "password": { "type": "string", "description": "Password for docker registry authentication. Note that this field may be redacted when it appears in API responses." } }, "description": "Credentials for authenticating to a docker registry" } } } } ````